%\BeginDoc
%
%\Name: cycle_i
%
%\Description: 
%   This code finds all new cycles based on i-th columns of N.
%
%\Arguments
%   N         current cycle matrix.
%   i         point to i-th column of N.
%
%\Program outputs:
%   Nnew       Contains new cycles.  
%              
%\EndDoc
%
%-------------------------------------------------------------------------    
%   
    function [Nnew] = cycle_i(N,i)
%    
%   %----------------%
%   | Initialization |
%   %----------------%
%
    n = length(N(1,:));
    Nnew = [];
%    
%     %----------------------------------------------------------%
%     | Compute new null space vectors from linear combinations  |
%     | of i^th and j^th columns of N. The set of vectors N is   |
%     | appended with the new minimal entries:                   |
%     %----------------------------------------------------------%
%    
    j = i+1;  
    while j <= n
      Nnew = [Nnew linear_combos(N, N(:,i), N(:,j) )];                          
      j = j+1;    
    end             
%    
%     %---------------------------------------------------------------%
%     | Test new null space vectors (Nnew) to see if they are minimal |
%     | against each other and vectors in N.                          | 
%     %---------------------------------------------------------------%
%       
    Nnew = test_new_vectors(N,Nnew,2);   
    Nnew = test_new_vectors(N,Nnew,1);         
%    
%  %-------------------------------%
%  | End of cycle_dist_i function  |
%  %-------------------------------%